Evaluate repository candidate impact
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id*Repository IdFormat
uuidmax_depth?Max DepthRange
1 <= value <= 10Default
3path_limit?Path LimitRange
1 <= value <= 1000Default
200persist?PersistDefault
trueapplication/json- body
A proposed architecture delta observed before merge or deployment.
base_snapshot_id?|nullchange_id*Change IdLength
1 <= length <= 255entities?array<>Items
items <= 1000observed_at?Observed AtFormat
date-timeorigin*OriginValue in
"commit""pull_request""upload""mcp"relationships?array<>Items
items <= 2000revision?|nullschema_version?Schema VersionDefault
"candidate-change-v1"source_ref*Source RefLength
1 <= length <= 2048Successful Response
application/json- response
affected_entities*array<>candidate*A proposed architecture delta observed before merge or deployment.
change_set_id?|nullgate*paths*array<>repository_id*Repository IdFormat
uuidscore*snapshot_generated_at*Snapshot Generated AtFormat
date-timesnapshot_id*Snapshot IdFormat
uuiduncertainties*array<>curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/impact' \ -H 'Content-Type: application/json' \ -d '{ "change_id": "string", "origin": "commit", "source_ref": "string"}'Example Response
{ "affected_entities": [ { "contradictions": [ { "alternatives": [ { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" }, { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" } ], "detected_at": "2019-08-24T14:15:22Z", "field": "string", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "state": "open" } ], "directly_changed": true, "key": "string", "kind": "string", "name": "string", "owner_hint": "string" } ], "candidate": { "base_snapshot_id": "d92de3d8-b118-4dde-98df-eefefc575163", "change_id": "string", "entities": [ { "attributes": { "property1": "string", "property2": "string" }, "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "key": "string", "kind": "string", "name": "string", "operation": "add" } ], "observed_at": "2019-08-24T14:15:22Z", "origin": "commit", "relationships": [ { "attributes": { "property1": "string", "property2": "string" }, "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "kind": "string", "operation": "add", "source_key": "string", "target_key": "string" } ], "revision": "string", "schema_version": "candidate-change-v1", "source_ref": "string" }, "change_set_id": "14a1580e-9582-45fb-93f1-d323ee91538c", "gate": { "outcome": "pass", "policy_enabled": true, "reasons": [ "string" ] }, "paths": [ { "contradictions": [ { "alternatives": [ { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" }, { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" } ], "detected_at": "2019-08-24T14:15:22Z", "field": "string", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "state": "open" } ], "direction": "upstream", "entity_keys": [ "string", "string" ], "evidence_ids": [ "string" ], "relationship_keys": [ "string" ], "root_key": "string" } ], "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "score": { "components": [ { "entity_keys": [ "string" ], "evidence_ids": [ "string" ], "key": "criticality", "maximum": 1, "points": 0, "rationale": "string", "relationship_keys": [ "string" ] } ], "level": "low", "total": 0 }, "snapshot_generated_at": "2019-08-24T14:15:22Z", "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0", "uncertainties": [ { "blocking": false, "code": "missing_source", "detail": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "scope": "source", "source_keys": [ "string" ], "state": "open", "subject_key": "string" } ]}